DU(1)

NAZWA
du - szacuje zużycie miejsca na dysku

SKŁADNIA
du [opcja]... [plik]...

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo du
lub
    info du.

Ta strona podręcznika opisuje polecenie du w wersji GNU.

du wyświetla ilość przestrzeni dyskowej zajmowanej przez każdy argument, a dla każdego argumentu katalogowego również przez elementy tego katalogu. Jeżeli nie podano argumentów, to du podaje przestrzeń dyskową zajmowaną przez katalog bieżący. Przestrzeń jest mierzona w blokach po 1K, ale może to zostać unieważnione, m.in. przez zdefiniowanie zmiennej środowiskowej POSIXLY_CORRECT (w tym przypadku używane są bloki po 512B). Więcej na ten temat znajduje się w sekcji `Rozmiar bloku' podręcznika fileutils(1).

OPCJE

-a, --all
    Wypisuje liczby dla wszystkich plików, nie tylko katalogów.

--block-size=rozmiar
    Używa bloków o wielkości rozmiar bajtów.

-b, --bytes
    Wypisuje rozmiary w bajtach, bez względu na ustalony rozmiar bloku. Zobacz `Rozmiar bloku' w fileutils(1).

-c, --total
    Podaje całkowitą sumę wszystkich argumentów po ich przetworzeniu. Może być używane do znalezienia całkowitej objętości zadanego zestawu plików lub katalogów.

-D, --dereference-args
    Dereferencjuje dowiązania symboliczne, które są argumentami z wiersza poleceń. Nie dotyczy to innych dowiązań symbolicznych. Pomocne do uzyskania wykorzystania dysku przez katalogi takie jak @file{/usr/tmp}, które często są dowiązaniami symbolicznymi.

-h, --human-readable
    Pokazuje objętości w postaci czytelniejszej dla człowieka, dodając literowe przyrostki określające potęgi 1024, np. `M' dla megabajtów. `M' oznacza 1.048.576 bajtów. Jeżeli wolisz potęgi 1000 - użyj opcji -H (--si).

-H, --si
    Podobnie jak --human-readable, ale posługuje się potęgami 1000 a nie 1024. (SI - Międzynarodowy System Miar definiuje przyrostki potęg 1000). Przy zastosowaniu tej opcji przyrostek `M' oznacza 1.000.000 bajtów. Posłuż się opcją -h (--human-readable), jeśli wolisz potęgi 1024.

-k, --kilobytes
    Pokazuje rozmiary w blokach 1024-bajtowych (kilobajtach). Jak --block-size=1024. Przesłania to domyślną wielkość bloku. Zobacz `Rozmiar bloku' w fileutils(1).

-l, --count-links
    Liczy rozmiar wszystkich plików, nawet jeśli już się pojawiły (jako inne dowiązania twarde). Rozmiary plików o wielu dowiązaniach twardych są wówczas zliczane wielokrotnie.

--max-depth=max_głębokość
    Pokazuje całkowitą objętość każdego z katalogów (i plików, jeżeli posłużono się opcją --all) będącego co najwyżej max_głębokość poziomów w dół hierarchii plików licząc od korzenia. Korzeń położony jest na poziomie 0, zatem du --max-depth=0 jest równoważnikiem du -s.

-L, --dereference
    Dereferencjuje wszystkie dowiązania symboliczne (pokazuje objętość zajmowaną przez plik lub katalog, na który wskazuje dowiązanie, zamiast objętości samego dowiązania).

-m, --megabytes
    Podobnie jak --block-size=1048576.

-S, --separate-dirs
    Wyszczególnia rozmiar każdego katalogu osobno, nie włączając rozmiarów podkatalogów.

-s, --summarize
    Wyświetla tylko objętość całkowitą każdego argumentu.

-x, --one-file-system
    Pomija katalogi leżące na innym systemie plików niż ten, na którym znajduje się przetwarzany właśnie argument.

--exclude=wzorzec
    Podczas przetwarzania rekurencyjnego pomija pliki lub katalogi pasujące do wzorca. Na przykład, du --exclude='*.o' wyklucza pliki o nazwach kończących się na `.o'.

-X plik_wz, --exclude-from=plik_wz
    Podobnie do --exclude, ale pobiera wzorce wykluczeń z pliku_wz, po jednym na wiersz. Jeżeli plikiem_wz jest -, to wzorce pobierane są ze standardowego wejścia.

--help
    Wyświetl informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

AUTOR
Napisane przez Torbjorna Granlund, Davida MacKenzie, Larry'ego McVoy oraz Paula Eggert.

BŁĘDY
Na systemach BSD, dla plików zamontowanych przez NFS z systemu HP-UX, du zgłasza rozmiary, które są o połowę mniejsze od poprawnych wielkości. Na HP-UX zgłasza rozmiary dwa razy większe od poprawnych, jeśli pliki są zamontowane przez NFS z BSD. Jest to usterka HP-UX i ma wpływ również na program du z tego systemu.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
df(1), ls(1), fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.